/*
 *  worldclock home widget for the maemo desktop.
 *  Copyright (C) 2010 Nicolai Hess
 *  
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef WORLDCLOCK_HOME_PLUGIN_H
#define WORLDCLOCK_HOME_PLUGIN_H

#include <glib-object.h>
#include <cityinfo.h>
#include <libhildondesktop/libhildondesktop.h>

G_BEGIN_DECLS

typedef struct _WorldClockHomePlugin WorldClockHomePlugin;
typedef struct _WorldClockHomePluginClass WorldClockHomePluginClass;

#define WORLD_CLOCK_HOME_PLUGIN_TYPE (world_clock_home_plugin_get_type())

#define WORLD_CLOCK_HOME_PLUGIN(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), \
								 WORLD_CLOCK_HOME_PLUGIN_TYPE, WorldClockHomePlugin))

#define WORLD_CLOCK_IS_PLUGIN(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
								WORLD_CLOCK_HOME_PLUGIN_TYPE))

#define WORLD_CLOCK_HOME_PLUGIN_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), \
									   WORLD_CLOCK_HOME_PLUGIN_TYPE, WorldClockHomePluginClass))

struct _WorldClockHomePlugin
{
  HDHomePluginItem hitem;
  gchar* iD;
  DBusGConnection* dbus_conn;
  DBusGProxy* dbus_proxy;
  guint time_out_handler;
  Cityinfo* city_info;
  gint city_info_id;
  gboolean collapsed;
  
};

struct _WorldClockHomePluginClass
{
  HDHomePluginItemClass parent_class;

};

GType world_clock_home_plugin_get_type(void);

#endif
